<div class="col-12 p-0" style="position: relative;">
    <div class="col-12 p-0">
        <!--/////// speedDial ////////-->
        <!-- <div class="grid tw-relative tw-w-full">        
                <div class="grid tw-fixed  tw-h-screen pl-10 ">
                    <div style="position: relative;left: 20; top: calc(50% - 10rem);margin-left: 15px;"  >                  
                       <p-speedDial [model]="speedDialitems" direction="right"  [transitionDelay]="50" showIcon="pi pi-bars" hideIcon="pi pi-times"
                        buttonClassName="p-button-outlined" class="ml-3"></p-speedDial>
                    </div>
                  
                </div>
            </div> -->
        <!--/////// speedDial End////////-->
        <div class="col-12">
            <div class="flex flex-column md:flex-row md:align-items-center md:justify-content-between mb-3 gap-3">
                <div class="flex align-items-center">

                    <div class="ml-3">
                        <span class="text-4xl font-light">{{title}}{{fname}} {{lname}}</span>
                        <div class="text-color-secondary">
                            <span class="text-black-alpha-90 font-bold mr-2">อายุ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{age | thaiage}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">เพศ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{gender}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">AN :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{an}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">HN :</span>
                            <span class="text-black-alpha-60 font-semibold">{{hn}} </span>
                        </div>
                    </div>
                </div>
                <div class="flex align-items-center justify-content-between gap-3">
                    <button pButton pRipple icon="pi pi-arrow-left" type="button" label="" pTooltip="ย้อนกลับ"
                        tooltipPosition="top" class="p-button-danger" (click)="backlistPatient()"></button>

                </div>
            </div>
        </div>
     
        <div class="card flex flex-column align-items-center justify-content-start">
            <div class="mb-3">
                <p-button icon="pi pi-plus" label="Expand all" (click)="expandAll()" class="mr-2" />
                <p-button icon="pi pi-minus" label="Collapse all" (click)="collapseAll()" />

            </div>
            <p-tree [value]="files" class="w-full md:w-60rem" />
        </div>


    </div>
</div>